
QGIS Application - Bug report #8096

Show all layers / Hide all layers problem on Canvas

2013-06-17 01:44 PM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16933

Description

Hi,

When you click on "Layer -> Show all layers" or "Layer -> Hide all layers", the option is applied in the TOC but not in the Canvas, which

remains unchanged (without showing all the layers in the first case and without turning off all the layers in the second case).

To make the changes visible in the Canvas, you must perform some action, such as a Pan, aZoom In/Out, etc..

Tested on Linux, with code from github compiled today.

Associated revisions

Revision 915808d9 - 2013-07-16 12:40 AM - Nathan Woodrow 

Refresh canvas after show/hide layers. Fix #8096

History

#1 - 2013-07-15 04:41 AM - Giovanni Manghi

- Category set to Map Canvas

Does not seems a regression, I see this also on 1.8, right? Worked on previous QGIS releases?

#2 - 2013-07-15 12:03 PM - Pedro Venâncio

You are right, in the 1.8 final version, the error is already present. However, I've tested the version 1.7.4 and everything works as expected.

Curiously, I also have a development build of 1.8 in a virtual machine, and there also works well.

So, the error must have been introduced sometime in the last stages of 1.8 development.

#3 - 2013-07-15 12:05 PM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2013-07-15 03:42 PM - Anonymous

- Status changed from Open to Closed
Fixed in changeset commit:"915808d9c804ec7c11f526c45b495806622a6ab7".

#5 - 2013-07-15 11:53 PM - Pedro Venâncio

Fix confirmed!

Thank you very much Nathan!
